### Virtual Method

# Gtk FontChooserset_font_map

deprecated: 4.10

#### Declaration [src]

    void
    set_font_map (
      GtkFontChooser* fontchooser,
      PangoFontMap* fontmap
    )

#### Description [src]

Sets a custom font map to use for this font chooser widget.

A custom font map can be used to present application-specific fonts instead of or in addition to the normal system fonts.

    FcConfig *config;
    PangoFontMap *fontmap;

    config = FcInitLoadConfigAndFonts ();
    FcConfigAppFontAddFile (config, my_app_font_file);

    fontmap = pango_cairo_font_map_new_for_font_type (CAIRO_FONT_TYPE_FT);
    pango_fc_font_map_set_config (PANGO_FC_FONT_MAP (fontmap), config);

    gtk_font_chooser_set_font_map (font_chooser, fontmap);

Note that other GTK widgets will only be able to use the application-specific font if it is present in the font map they use:

    context = gtk_widget_get_pango_context (label);
    pango_context_set_font_map (context, fontmap);

Deprecated since: 4.10

Use `GtkFontDialog` and `GtkFontDialogButton` instead.

#### Parameters

`fontmap`

  Type: `PangoFontMap`

  A `PangoFontMap`

  The argument can be `NULL`.
  The data is owned by the caller of the function.